Debian Bug report logs - #545403
lists in chroot_packageslists need to be enabled manually

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Sun, 6 Sep 2009 22:42:02 UTC

Severity: minor

Found in version live-helper/1.0.5-1

Fixed in version live-helper/2.0~a4-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>:
Bug#545403; Package live-helper. (Sun, 06 Sep 2009 22:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>. (Sun, 06 Sep 2009 22:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: packageslists directory created in config but unused
Date: Mon, 07 Sep 2009 00:33:52 +0200
Package: live-helper
Version: 1.0.5-1
Severity: normal


The chroot_local-packageslists directory is created in the configuration
but not used.

This is confusing for the users because at least some other directories
created in cthe configuration work automagically.

There are two ways how this can be resolved:

 - put a readme file there explaining the use of the directory
   (with all lines prefixed with # so that it works as empty packageslist)
 - change the default configuration to (explicitly) load the lists in
   the directory

This is the line I use (but it could use a bit of tuning to be more
generally acceptable)

--- config/chroot	2009-09-07 00:25:47.000000000 +0200
+++ config/chroot	2009-09-07 00:25:33.000000000 +0200
@@ -46,7 +46,7 @@
 
 # $LH_PACKAGES_LISTS: set package list to install
 # (Default: standard)
-LH_PACKAGES_LISTS="standard"
+LH_PACKAGES_LISTS="standard `ls config/chroot_local-packageslists/ |
grep -vF '~'`"
 
 # $LH_TASKS: set tasks to install
 # (Default: empty)



-- Package-specific info:

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-4     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools     3.0.1-1                   utilities for making and checking 
ii  fakeroot       1.11                      Gives a fake root environment
ii  genisoimage    9:1.1.9-1                 Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny2             GRand Unified Bootloader (Legacy v
ii  memtest86      3.4-2                     thorough real-mode memory tester
ii  memtest86+     2.01-1.1                  thorough real-mode memory tester
ii  mtools         3.9.11-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
ii  squashfs-tools 1:3.3-7                   Tool to create and append to squas
ii  syslinux       2:3.71+dfsg-5             utilities for the syslinux bootloa
pn  uuid-runtime   <none>                    (no description available)
pn  win32-loader   <none>                    (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#545403; Package live-helper. (Mon, 07 Sep 2009 07:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brendan Sleight <bms.debian@barwap.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 07 Sep 2009 07:06:05 GMT) Full text and rfc822 format available.

Message #10 received at 545403@bugs.debian.org (full text, mbox):

From: Brendan Sleight <bms.debian@barwap.com>
To: 545403@bugs.debian.org
Subject: Re: Bug#545403: live-helper: packageslists directory created in config but unused
Date: Mon, 7 Sep 2009 08:00:10 +0100
HI Michal,

2009/9/6 Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
> The chroot_local-packageslists directory is created in the configuration
> but not used.

As far as I understand, it can be used manually. In between using
lh_config and lh_build I may add something to this directory. I agree
with the manual, in that ... constructing this directory by hand would
be time-consuming and error-prone, the lh_config helper can be used to
create skeleton configuration folders.


> This is confusing for the users because at least some other directories
> created in cthe configuration work automagically.
>  - put a readme file there explaining the use of the directory
>   (with all lines prefixed with # so that it works as empty packageslist)

I would prefer this method.

Regards,
Brendan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#545403; Package live-helper. (Mon, 19 Oct 2009 12:24:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 19 Oct 2009 12:24:32 GMT) Full text and rfc822 format available.

Message #15 received at 545403@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 545403-submitter@bugs.debian.org
Cc: 545403@bugs.debian.org
Subject: Re: live-helper: packageslists directory created in config but unused
Date: Mon, 19 Oct 2009 13:43:39 +0200
pHi,

when the chroot_local-packageslists behaviour was changed, i was not fan
of that. however, it appears to be not that easy...

the problem:

on the one hand, declaring that everything in chroot_local-packageslists
is used automatically sucks, because then, if you have multiple lists
for multiple types of images, you have to remove some files for every
build, except the list that you're going to use.

on the other hand, declaring that nothing in chroot_local-packageslists
is used automatically is nice, because you can do a simple lh_config
call in order to activate the list you want, and don't need to move
arround files. otoh, it is inconsistent with the other config/*
directories behaviour.

means:

for legacy reasons, we should not change the behaviour in live-helper
1.x. but for live-helper 2.x, i'd really like to get some way out of the
above dillemma - any ideas welcome, i'm sort of out of ideas myself.

...except one (which sucks somehow as well, though): we could request
packages lists to be named with a particular extensions, e.g. we would
only use chroot_local-packageslists/*.list automatically. that would
allow to have other files in there that are not used, and could teach
lh_config to 'activate' packageslists by renaming them.

anyway.. commends and better ideas wanted and welcome.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to 'lists in chroot_packageslists need to be enabled manually' from 'live-helper: packageslists directory created in config but unused' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 12:24:34 GMT) Full text and rfc822 format available.

Message sent on to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug#545403. (Mon, 19 Oct 2009 12:24:38 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'normal' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 12:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#545403; Package live-helper. (Mon, 19 Oct 2009 15:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to hb@nordicwind.ca:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 19 Oct 2009 15:42:09 GMT) Full text and rfc822 format available.

Message #27 received at 545403@bugs.debian.org (full text, mbox):

From: "Harold" <hb@nordicwind.ca>
To: daniel@debian.org, 545403@bugs.debian.org
Subject: Re: Bug#545403: live-helper: packageslists directory created in config but unused
Date: Mon, 19 Oct 2009 12:05:49 -0400 (EDT)
I agree that this behaviour is awkward and I've had a similar problem with
multiple builds.

> ...except one (which sucks somehow as well, though): we could request
> packages lists to be named with a particular extensions, e.g. we would
> only use chroot_local-packageslists/*.list automatically. that would
> allow to have other files in there that are not used, and could teach
> lh_config to 'activate' packageslists by renaming them.
>

.. or maybe an easier solution is to keep different directories with
different packageslists with a common meaningful extension .. and then
activate different packagelists by linking or renaming to the required
directory.
i.e.
chroot_local-packageslists.xfce-openoffice
chroot_local-packageslists.kde
chroot_local-packageslists.kde-openoffice

could be three useful builds ... and you could link one of them to
'chroot_local-packageslists' to activate it.

I think I tried this once and the link did not work and I had to 'copy'
instead which was not the best since you could fall into the trap of
modifying the copy and not the 'source'. I did not want to 'move' since
you could easily forget how to 'unmove' later .. unless it's built into
lh_config somehow.

Harold




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#545403; Package live-helper. (Mon, 14 Dec 2009 09:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 14 Dec 2009 09:57:08 GMT) Full text and rfc822 format available.

Message #32 received at 545403@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 545403-submitter@bugs.debian.org
Cc: 545403@bugs.debian.org
Subject: Re: lists in chroot_packageslists need to be enabled manually
Date: Mon, 14 Dec 2009 10:55:40 +0100
tag 545403 pending
thanks

Fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Mon, 14 Dec 2009 09:57:15 GMT) Full text and rfc822 format available.

Message sent on to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug#545403. (Mon, 14 Dec 2009 09:57:23 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 19 Jan 2010 19:51:03 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Tue, 19 Jan 2010 19:51:03 GMT) Full text and rfc822 format available.

Message #42 received at 545403-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 545403-close@bugs.debian.org
Subject: Bug#545403: fixed in live-helper 2.0~a4-1
Date: Tue, 19 Jan 2010 19:48:36 +0000
Source: live-helper
Source-Version: 2.0~a4-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a4-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a4-1.diff.gz
live-helper_2.0~a4-1.dsc
  to main/l/live-helper/live-helper_2.0~a4-1.dsc
live-helper_2.0~a4-1_all.deb
  to main/l/live-helper/live-helper_2.0~a4-1_all.deb
live-helper_2.0~a4.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 545403@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 Jan 2010 20:25:35 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 545403 562664
Changes: 
 live-helper (2.0~a4-1) unstable; urgency=low
 .
   * Handling d-i required packages regarding kernel flavours differently
     on ubuntu.
   * Bumping ubuntu default distribution to karmic.
   * Changing local packageslists behaviour for consistency reasons, now
     looking for .list suffix and enabling them automatically (Closes:
     #545403).
   * Replacing lxnm in lxde package list with wicd as suggested by Jun
     Nogata and confirmed by Andrew Lee.
   * Ensure that precached-chroots are prepared as well.
   * Only using wicd instead of lxnm for squeeze and newer.
   * Removing mailx from rescue list.
   * Correcting handling of precached chroot when using plain chroot
     filesystem.
   * Making unmount routines a bit more robust.
   * Marking aufs-source and squashfs-source in debian-live packagelist
     as lenny-only (Closes: #562664).
   * Updating year in copyright file.
   * Renaming directory that holds automatic scripts (e.g. scripts/config
     or scripst/clean) to auto for consistency reasons.
   * Automatically setting-up backports repository when specifying lenny-
     backports as target distribution.
   * Adjusting lh_config manpage to reflect changes wrt/ local packages
     lists.
Checksums-Sha1: 
 35164b236ac34fa6510f1bb93eed1500bfca6134 1232 live-helper_2.0~a4-1.dsc
 d6f0ae194915851e0054774d1eca56abebcf1272 2234641 live-helper_2.0~a4.orig.tar.gz
 5bef28e6dbe4682ffb6245a53a747ba7d7875794 30380 live-helper_2.0~a4-1.diff.gz
 a40f9860ab78acd3abc503a373d259e5d507d45e 1100516 live-helper_2.0~a4-1_all.deb
Checksums-Sha256: 
 9593333e94b41390cfd81312b8670ceab1db3147e26d9364c7b8b2bd521804eb 1232 live-helper_2.0~a4-1.dsc
 3eb1957c0cb5d6cf715ec0cbddda7eff854b0dc737d5417e48a205898e9d4fce 2234641 live-helper_2.0~a4.orig.tar.gz
 386fe2235c23fae22371e2a763d034cf5ffeca212066bd3f80ae03da9e6ce565 30380 live-helper_2.0~a4-1.diff.gz
 ae2c6438d05f855321000f5309c79d572e10cb6e86e1644ca4aa736e0af7c9b8 1100516 live-helper_2.0~a4-1_all.deb
Files: 
 b9ee44bf27c8b79fc3d8c111896f8d13 1232 misc optional live-helper_2.0~a4-1.dsc
 fb5d632eefbec831ab5711d5c26fc6b5 2234641 misc optional live-helper_2.0~a4.orig.tar.gz
 1bc10e2c056bae33c4ab765cdf5c4ccf 30380 misc optional live-helper_2.0~a4-1.diff.gz
 9890d451bf828deb670b493ea362038f 1100516 misc optional live-helper_2.0~a4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktWCmUACgkQ+C5cwEsrK559VwCdFb7p/v7lWnJmB0Zg4ZDNBKmA
9KoAn1s3wct5wAbNNkUuWjc0aVny8jmM
=BLry
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Feb 2010 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:44:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.